const EventEmitter = require('events').EventEmitter;
export const emitter = new EventEmitter();

export function request(url, params, method = 'GET') {
  const option = {
    method,
    mode: 'cors',
  }

  if (method.toLocaleLowerCase() !== 'get') {
    option.headers = {
      'Content-Type': 'application/json'
      // 'Content-Type': 'application/x-www-form-urlencoded',
    },
    option.body = JSON.stringify(params);
  }
  return fetch(url, option)
   .then(response => response.json())
   .catch(error => console.error('Error:', error))
}