# 场景系统
### 一、简介
场景系统作为web-office SDK场景演示使用，包含会议场景、@人场景等功能

### 二、项目结构
项目分为前端和后端，前端使用create-react-app搭建，后端使用的express搭建。
前端项目路径为：scence-app
后端项目路径为：scence-node

### 三、项目运行

 1. #### 项目初始化
     ```bash
    # 安装依赖
    $ npm run install:all
    ```
 2. #### 初始化配置
     配置分为前端配置和后端配置，分别存放于前端及后端的config目录下
     #### 前端配置：
     wpsUrl配置对应的演示会议文档地址，示例如下：
     ```js
     // PDF
     pdf: 'https://www.kdocs.cn/p/xxx',
     // ppt
   	 presentation: 'https://www.kdocs.cn/l/xxx', 		
     // 文字
     writer: 'https://www.kdocs.cn/p/xxx',
     // 表格
     sheet: 'https://www.kdocs.cn/p/xxx',
     // 白板
     whiteBoard: 'https://www.kdocs.cn/p/xxx'
     ```
     #### 后端配置：
     PORT:  服务访问端口,
     WSPORT:  websocket端口
  3. #### 项目启动
     前端打包至后端路径下,访问后端路径
     ```bash
      # 启动命令
      $ npm run start
     ```
### 四、访问地址
  1. #### 访问地址
     访问地址为后端地址，端口为scence-node配置的端口
     链接： http://localhost:端口/ 