import asyncComponent from '../components/AsyncComponent';

const menus = [
  {
    name: '首页',
    component: asyncComponent(() => import('../pages/HomePage')),
    path: '/index',
  },
  {
    name: '会议场景',
    component: asyncComponent(() => window.isMobilePage?import('../pages/Meeting/mobile'):import('../pages/Meeting/pc')),
    path: '/meeting',
  },
  {
    name: '会议场景-链接',
    component: asyncComponent(() => import('../pages/Meeting/Spectator')),
    path: '/listener/:id',
  },
  {
    name: '@人场景',
    component: asyncComponent(() => import('../pages/AtPerson')),
    path: '/at',
  },
  {
    name: '@人场景-链接',
    component: asyncComponent(() => import('../pages/AtPerson/DocComponent')),
    path: '/share-at',
  }
]

export default menus;