const asyncMiddleware = (fn: (...arg: any[]) => void): any =>
  (req: Request, res: Response, next: any) => {
    Promise.resolve(fn(req, res, next))
      .catch(next);
  };

// 随机中文姓名
function getRandomChineseWord (): string {
  const surname = ['赵', '王', '刘', '李', '孙', '周', '吴', '郑', '陈', '何']
  let _rsl = "";
  const _randomUniCode = Math.floor(Math.random() * (40870 - 29968) + 19968).toString(16);
  eval("_rsl=" + '"\\u' + _randomUniCode + '"');
  return `${surname[Math.floor(Math.random() * 10)]}${_rsl}`;
}
export {
  asyncMiddleware,
  getRandomChineseWord
}